CVE-2013-6639 (retired)

Priority
Description
The DehoistArrayIndex function in hydrogen-dehoist.cc (aka hydrogen.cc) in
Google V8 before 3.22.24.7, as used in Google Chrome before 31.0.1650.63,
allows remote attackers to cause a denial of service (out-of-bounds write)
or possibly have unspecified other impact via JavaScript code that sets the
value of an array element with a crafted index.
Assigned-to
chad
Notes
Package
Upstream:released (31.0.1650.63)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was released [31.0.1650.63-0ubuntu0.12.04.1~20131204.1])
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (31.0.1650.63-0ubuntu1~20131204.1)
Package
Source: libv8 (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needs-triage)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Package
Upstream:needed
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (3.14.5.8-5ubuntu1)
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
More Information

Updated: 2019-10-09 07:48:59 UTC (commit 33aea848a182c0afcd0a3f927a01a7ecd9a061ee)